Pixel / Nexus Security Bulletin – August 2018

Veröffentlicht am 6. August 2018

Das Pixel/Nexus-Sicherheitsbulletin enthält Einzelheiten zu Sicherheitslücken und Funktionsverbesserungen , die unterstützte Google Pixel- und Nexus-Geräte (Google-Geräte) betreffen. Für Google-Geräte beheben die Sicherheitspatch-Stufen vom 05.08.2018 oder höher alle Probleme in diesem Bulletin und alle Probleme im Android-Sicherheitsbulletin vom August 2018. Informationen zum Überprüfen des Sicherheitspatch-Levels eines Geräts finden Sie unter Überprüfen und aktualisieren Sie Ihre Android-Version .

Alle unterstützten Google-Geräte erhalten ein Update auf den Patch-Level 2018-08-05. Wir empfehlen allen Kunden, diese Updates für ihre Geräte zu akzeptieren.

Hinweis: Die Firmware-Images für Google-Geräte sind auf der Google Developer-Website verfügbar.

Ankündigungen

Zusätzlich zu den im Android Security Bulletin vom August 2018 beschriebenen Sicherheitslücken enthalten Google-Geräte auch Patches für die unten beschriebenen Sicherheitslücken. Partner wurden vor mindestens einem Monat über diese Probleme informiert und können sich dafür entscheiden, sie in ihre Geräteaktualisierungen einzubeziehen.

Sicherheitspatches

Schwachstellen werden unter der Komponente gruppiert, die sie betreffen. Es gibt eine Beschreibung des Problems und eine Tabelle mit dem CVE, zugehörigen Referenzen, der Art der Schwachstelle , dem Schweregrad und aktualisierten Android Open Source Project (AOSP)-Versionen (sofern zutreffend). Sofern verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, z. B. der AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Verweise mit Nummern verknüpft, die der Fehler-ID folgen.

Rahmen

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2017-1000100 A-64610131 AUSWEIS Mäßig 7.0, 7.1.1, 7.1.2, 8.0, 8.1

System

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2018-9435 A-79591688 AUSWEIS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9461 A-37629504 AUSWEIS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9449 A-79884292 AUSWEIS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9457 A-72872376 AUSWEIS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9441 A-74075873 [ 2 ] AUSWEIS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13322 A-67862398 DOS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9447 A-79995313 DOS Mäßig 6.0, 6.0.1, 8.0, 8.1

Kernel-Komponenten

CVE Verweise Typ Schwere Komponente
CVE-2018-9462 A-78364203 * EoP Mäßig Touch-Screen
CVE-2018-9439 A-79377438 * EoP Mäßig Netzwerkstapel
CVE-2018-9463 A-78362414 * EoP Mäßig Touch-Screen
CVE-2018-1068 A-77902350
Upstream-Kernel
EoP Mäßig Netzfilter
CVE-2018-9464 A-68993267 * EoP Mäßig Taimen-Bootloader

Qualcomm-Komponenten

CVE Verweise Typ Schwere Komponente
CVE-2018-11263 A-79422278 *
QC-CR#2209106
EoP Mäßig WLAN
CVE-2017-8261 A-35139833 *
QC-CR#2013631
EoP Mäßig Kameratreiber
CVE-2018-5910 A-79422277
QC-CR#2175499 [ 2 ]
EoP Mäßig MDSS
CVE-2018-5909 A-79421262
QC-CR#2174716
EoP Mäßig Rotator
CVE-2018-5908 A-79422409
QC-CR#2171758 [ 2 ]
EoP Mäßig MDSS
CVE-2018-5905 A-79421261
QC-CR#2169715
EoP Mäßig Diag-Treiber
CVE-2018-5904 A-79421260
QC-CR#2184702 [ 2 ]
EoP Mäßig Leistungstreiber
CVE-2018-5903 A-79421737
QC-CR#2185477
EoP Mäßig qcacld 3.0
CVE-2017-18306 A-73889358 *
QC-CR#2216399
AUSWEIS Mäßig v4l2
CVE-2017-18307 A-73888283 *
QC-CR#2026045
AUSWEIS Mäßig qcacld-3.0
CVE-2017-9711 A-36367253 *
QC-CR#2046006
EoP Mäßig IPA
CVE-2018-3587 A-65542521 *
QC-CR#2120605
EoP Mäßig qcacld-2.0

Update: Rahmen

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2017-13295 A-62537081 [ 2 ] DOS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Update: System

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2017-13242 A-62672248 AUSWEIS Mäßig 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Update: Qualcomm-Komponenten

CVE Verweise Typ Schwere Komponente
CVE-2017-15817 A-68992394
QC-CR#2076603 [ 2 ]
QC-CR#2084599
QC-CR#2096512
RCE Kritisch WLAN

Häufige Fragen und Antworten

In diesem Abschnitt werden häufige Fragen beantwortet, die nach dem Lesen dieses Bulletins auftreten können.

1. Wie kann ich feststellen, ob mein Gerät aktualisiert wurde, um diese Probleme zu beheben?

Sicherheitspatch-Stufen vom 05.08.2018 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheitspatch-Stufe 2018-08-05 und allen vorherigen Patch-Stufen. Um zu erfahren, wie Sie den Sicherheitspatch-Level eines Geräts überprüfen können, lesen Sie die Anweisungen im Update-Zeitplan für Pixel und Nexus .

2. Was bedeuten die Einträge in der Spalte Typ ?

Einträge in der Spalte „Typ“ der Tabelle mit den Schwachstellendetails verweisen auf die Klassifizierung der Sicherheitslücke.

Abkürzung Definition
RCE Remote-Codeausführung
EoP Erhöhung der Privilegien
AUSWEIS Offenlegung von Informationen
DOS Denial of Service
N / A Klassifizierung nicht verfügbar

3. Was bedeuten die Einträge in der Spalte „Referenzen“ ?

Einträge in der Spalte „Referenzen“ der Tabelle mit den Schwachstellendetails können ein Präfix enthalten, das die Organisation identifiziert, zu der der Referenzwert gehört.

Präfix Referenz
A- Android-Fehler-ID
QC- Qualcomm-Referenznummer
M- MediaTek-Referenznummer
N- NVIDIA-Referenznummer
B- Broadcom-Referenznummer

4. Was bedeutet ein * neben der Android-Bug-ID in der Spalte „Referenzen“ ?

Probleme, die nicht öffentlich verfügbar sind, sind in der Spalte „Referenzen“ mit einem * neben der Android-Fehler-ID gekennzeichnet. Das Update für dieses Problem ist im Allgemeinen in den neuesten Binärtreibern für Pixel-/Nexus-Geräte enthalten, die auf der Google Developer-Website verfügbar sind.

5. Warum werden Sicherheitslücken in diesem Bulletin und den Android-Sicherheitsbulletins aufgeteilt?

Sicherheitslücken, die in den Android-Sicherheitsbulletins dokumentiert sind, sind erforderlich, um die neueste Sicherheitspatchstufe auf Android-Geräten bekannt zu geben. Zusätzliche Sicherheitslücken, wie sie in diesem Bulletin dokumentiert sind, sind für die Angabe eines Sicherheitspatch-Levels nicht erforderlich.

Versionen

Ausführung Datum Anmerkungen
1,0 6. August 2018 Bulletin veröffentlicht.